| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::experts::data_accessor_t Class Referenceabstract

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::data_accessor_t:

## Detailed Description

class data_accessor_t

Accessors provide protected access to data nodes and help

## establish dependency relationships.

## Public Member Functions
virtual | ~data_accessor_t ()
virtual bool | is_reader () const =0
virtual bool | is_writer () const =0
virtual dag_vertex_t & | node () const =0

## Protected Member Functions
| data_accessor_t (const node_retriever_t &r, const std::string &n)

## Protected Attributes
dag_vertex_t & | _vertex

## Constructor & Destructor Documentation

## ◆ ~data_accessor_t()

virtual uhd::experts::data_accessor_t::~data_accessor_t | ( |  | ) |
| inline virtual

## ◆ data_accessor_t()

uhd::experts::data_accessor_t::data_accessor_t | ( | const node_retriever_t & | r,
|  | const std::string & | n )
| inline protected

## Member Function Documentation

## ◆ is_reader()

virtual bool uhd::experts::data_accessor_t::is_reader | ( |  | ) | const
| pure virtual

Implemented in uhd::experts::data_accessor_base< data_t >.

## ◆ is_writer()

virtual bool uhd::experts::data_accessor_t::is_writer | ( |  | ) | const
| pure virtual

Implemented in uhd::experts::data_accessor_base< data_t >.

## ◆ node()

virtual dag_vertex_t & uhd::experts::data_accessor_t::node | ( |  | ) | const
| pure virtual

## Member Data Documentation

## ◆ _vertex

dag_vertex_t& uhd::experts::data_accessor_t::_vertex
| protected

The documentation for this class was generated from the following file:

- expert_nodes.hpp